Welcome

Welcome to FileNet Print Administrator

Welcome: Welcome Documentation

Welcome to FileNet Print, print server software that provides printing services for networked PC workstations to print FileNet images and text documents. FileNet Print uses Windows Networking software to connect to the FileNet system and support network printing from remote PC workstations.

FileNet Print runs as a Windows Service. Use the Print Service Control dialog box to start and stop the Print Service, to display and hide Print Administrator, and to access Print Configuration. Use Print Configuration to create and change print queues, and Print Administrator to monitor print server activity. Use the Printer Wizard to install PPD files for open printers. Use Fax Manager to monitor fax server activity.

Note

When the Print Service is running, you cannot open Print Configuration. To make configuration changes, you must stop the Print Service.

Multiple Printer Support

FileNet Print can support multiple printers. Overall system performance is determined by several factors, including:

  • PC processor speed

  • printer type and number of printers

  • printer memory

  • average print volume

  • document type

Throughput depends on various factors such as the number of print requests submitted and the type of documents being printed. For example, FileNet images usually require more processing time than TIFF Group 4 images.

Multiple Image System Server Support

FileNet Print can support multiple IS servers. A single print server can be configured to receive print jobs from more than one IS server, which can be useful if the primary image server fails.

Each image server must be configured to recognize the print server. One image server must be configured as the Default IS. Print automatically logs onto the Default IS server when the Print Service starts.

Outbound Fax Support

If you have purchased and installed the optional FileNet Outbound Fax package, you can configure one or more fax queues on your print server. Fax queues work in much the same way as print queues, except that jobs are sent to a fax server for processing to a destination fax machine, rather than to a printer.


What's New in Release 4.4

Welcome: Welcome Documentation

The latest release of FileNet Print includes the following features:

  • FileNet Print now supports multiple outbound fax servers on a single FileNet Print server.

  • Print now supports the Windows 2003 (.NET) Server platform.

  • Font support is now configurable on a print queue by print queue basis.

  • Print now renders multi-page TIFF files.

  • Print now provides a toolkit to allow end users to implement a converter to enable printing of PDF documents.


Welcome to the FileNet Print Administrator Online Help

Welcome: Welcome Documentation

This Help system describes the operations performed using Print Administrator. You can find information in the following ways:

  • Click on the Contents tab to select a topic from the table of contents. The table of contents displays all topics in outline form.

  • Click on the Index tab to list topics associated with a keyword. You can enter a keyword or select one from a supplied list.

  • Click on the Search tab to list topics containing any word or phrase. The first search will prompt you to minimize or maximize the size of the database.

If any of these features is not working correctly, this Help file has been corrupted and must be reinstalled. Use the "Repair" option in the FileNet Print Installation program.


About Documentation

Welcome: Welcome Documentation

Print Administrator documentation includes the following:

  • Print Administrator Help (the Help you are reading now) provides orientation and description of the Print Administrator features.

  • FileNet Print Installation Guide provides a list of system and hardware requirements and compatibility considerations for Print configurations. Describes how to install Print and configure the printers, and provides instructions for testing the installation.

  • Release Notes on the software media for late-breaking information and known problems.

How to use Help

Print Administrator Help is a Windows Help system. For general information on how to use Help, see the topic "Using Help" in the Help for Microsoft Windows. As with any Help system, you can find information by choosing a topic from the Contents, by using the index, or by searching. While Help systems are not designed for reading front-to-back like books, the topics are arranged to print in a logical order.

Print Administrator also includes context-sensitive Help for all dialog boxes in the system. To display Help for one of the dialog boxes, press the Help button at the lower right corner of the dialog box, or press F1.


Where to find updates to Help

Welcome: Welcome Documentation

Visit the FileNet Web site at:

www.filenet.com

From the main page, select Worldwide Support, then click on the link to Documentation.

If you do not have an Internet connection, please contact us at FileNet.


FileNet End User Software License Agreement

Welcome: Welcome Documentation

READ CAREFULLY BEFORE INSTALLING. IF YOU DO NOT AGREE WITH THESE TERMS AND CONDITIONS, OR THE TERMS AND CONDITIONS IN YOUR SOFTWARE LICENSE AGREEMENT WITH FILENET, DO NOT INSTALL THE SOFTWARE. BY INSTALLING THE SOFTWARE, YOU AGREE TO BE BOUND BY THE TERMS OF THIS LICENSE.

  1. Authorization of End User

A. Each Software product, including any documentation relating to or describing such Software, such as, but not limited to, logic manuals, flow charts and improvements or updates provided by FileNet (collectively called "Software"), is furnished to End User under a personal, non-exclusive, nontransferable license solely for End User's own internal use in compliance with this License and all applicable laws and regulations. End User agrees that this License does not permit End User to: (1) use the Software for a service bureau application or (2) transfer the Software without prior written consent from FileNet.

B. End User may make one copy of the Software, (with the proper inclusion of FileNet’s copyright notice and any other proprietary notice and/or trademarks on such Software), for End User’s own backup purposes however the End User may not otherwise copy or reproduce the Software except to install the Software on a single hard drive for use by End User in accordance with this License.

C. If End User is unable to operate the Software on the computer equipment due to an equipment malfunction; the Software may be transferred temporarily to other computer equipment during the period of equipment malfunction.

D. Title to and ownership of the Software and all of its parts (or any modifications, translations, or derivatives thereof, even if unauthorized) and all applicable rights in patents, copyrights and trade secrets in the Software shall remain exclusively with FileNet. Software provided hereunder is valuable, proprietary, and unique, and End User agrees to be bound by and observe the proprietary nature thereof as provided herein. End User agrees to take diligent action to fulfill its obligations hereunder by instruction or agreement with its employees or agents (whose confidentiality obligations shall survive termination of employment or agency) who are permitted access to the licensed Software. Access shall only be given on a need-to-know basis. Except as set forth herein or as may be permitted in writing by FileNet, End User shall not use, provide or otherwise make available the Software or any part or copies thereof to any third party. Unless prohibited by law, End User shall not reverse engineer, decompile or disassemble the Software or any portion thereof, nor otherwise attempt to create or derive the source code. End User acknowledges that unauthorized reproduction, use, or disclosure of the Software or any part thereof is likely to cause irreparable injury to FileNet, who shall therefore be entitled to injunctive relief to enforce these restrictions, in addition to any other remedies available at law or in equity.

E. FileNet agrees that affiliates of End User may use the Software; provided that prior to any affiliate’s use of the Software: (1) each affiliate shall sign and deliver to FileNet a mutually agreeable appendix to this License certifying its License to be bound by the terms herein; and (2) such use by such affiliate shall be subject to the following: (i) End User accepts responsibility for the acts or omissions of such affiliates as if they were End User’s acts or omissions; (ii) End User shall indemnify FileNet against losses or damages suffered by FileNet arising from breach of this License by any such affiliate as if effected by End User; and (iii) such use shall not constitute an unauthorized exportation of the Software or documentation under U.S. Government laws and regulations.

F. FileNet shall defend any action, suit or proceeding brought against End User so far as it is based on a claim that the use of any Software delivered hereunder constitutes an infringement of any patent, copyright or other intellectual property right, provided that FileNet is promptly notified by End User of the action and given full authority, information and assistance for the defense of the action. FileNet shall pay all damages and costs finally awarded against End User, but shall not be responsible for any compromise made without its consent. FileNet may at any time it is concerned over the possibility of such an infringement, at its option and expense, replace or modify the Software so that infringement will not exist, or request the End User to remove the Software involved and refund to End User an amount as established by FileNet.

G. FileNet shall have no liability to End User under any provisions of this Section, if any claim is based upon the use of the Software in combination with software not supplied by FileNet, or in a manner for which the Software was not designed, or if the claim of infringement would have been avoided but for End User’s use of Software other than the latest unmodified release made available to End User.

  2. Types of Software Licenses

A. For purposes of this License, the following definitions shall apply:

1. Server Software is a copy of Software residing on a server or multiple servers.

2. Clients are personal computers, minicomputers, mainframes, workstations and terminal devices that interact with Server Software.

3. Client Software is a copy of Software residing on a Client that interacts with Server Software.

B. End User agrees to license the Software as follows:

1. For Client Software - one copy of Client Software for each Client that accesses any Server Software.

2. For Server Software – one copy of Server Software for each base system. In addition Concurrent User Licenses in accordance with FileNet's then-current version of the Concurrent User Guidelines which consist of concurrent Dedicated User, Shared User, and e-Business User Licenses. These Concurrent User Guidelines measure persons and programmatic operations that interact with the Server Software directly or indirectly from a Client.

  1. For Dedicated User Licenses – a copy of Client Software and a copy of Server Software where the ratio of licensed Clients to the number of concurrent Dedicated User Licenses on the Server is one to one (1:1).

  2. For Shared User Licenses- a copy of Client Software and a copy of Server Software where the ratio of licensed Clients to the number of concurrent Shared User Licenses on the Server does not exceed ten to one, (10:1).

  3. For eBusiness User Licenses –a copy of Client Software and a copy of Server Software where the ratio of licensed Clients to the number of concurrent eBusiness User Licenses on the Server does not exceed one hundred to one, (100:1).

C. In the event End User elects to access Server Software by the use of a gateway or concentrator multiplexing methodology, the number of Concurrent User Licenses, is determined by the maximum number of Clients in front of the multiplexer which have access to the Server Software at any given point in time. The then current version of FileNet's Concurrent User Guidelines will be used to determine the number of required Concurrent User Licenses.

D. FileNet may audit the End User’s Software usage remotely or on-site during service calls or upon reasonable notice during standard business hours. The audit shall determine Software usage by server for the number of concurrent Dedicated, Shared and/or eBusiness User Licenses required for each server. Should an audit determine that Customer’s usage has exceeded the number of Concurrent User Licenses, or that End User’s deployment of Software on Clients exceeds the contracted ratio of Clients to Concurrent User Licenses, End User agrees to purchase additional licenses in compliance with this Software Schedule. For a server with a combination of concurrent Dedicated, Shared and/or eBusiness User Licenses, any use beyond the total aggregate number of all Concurrent User Licenses (including previously acquired SLU type licenses) will require additional Concurrent User Licenses to be purchased. The highest ratio Concurrent User License identified on the End User’s configuration and its applicable fee will be invoiced accordingly.

  3. Termination

Notwithstanding the foregoing, FileNet shall have the right to terminate End User's authorization to use the Software if End User fails to comply with the terms and conditions of the License. Upon notice of such termination, End User shall immediately destroy the Software and all portions and copies thereof and, if requested by FileNet, shall certify in writing as to the destruction of the same.

  4. Disclaimer and Limited Warranty

FileNet warrants the media on which the Software is furnished to be free from defects in materials and workmanship for a period of ninety (90) days from the date of purchase.

FileNet's entire liability and End User’s exclusive remedy as to media shall be at FileNet's option, either the return of the amount paid for the Software or replacement of the media that does not meet FileNet's limited warranty and which is returned to FileNet with a copy of the receipt.

EXCEPT AS EXPRESSLY PROVIDED ABOVE, THE SOFTWARE AND DOCUMENTATION ARE PROVIDED "AS IS", FILENET DOES NOT MAKE ANY AND HEREBY DISCLAIMS ALL WARRANTIES OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.

The entire risk as to the quality, accuracy and performance of the Software and the Documentation is with End User. FileNet does not warrant that the functions contained in the Software will meet End User’s requirements or that the operation of the Software will be uninterrupted or error free.

FILENET SHALL NOT BE LIABLE UNDER ANY CONTRACT, NEGLIGENCE, STRICT LIABILITY OR OTHER LEGAL OR EQUITABLE THEORY FOR ANY INDIRECT, CONSEQUENTIAL OR INCIDENTAL DAMAGES (INCLUDING DAMAGES FROM LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, PROCUREMENT OF SUBSTITUTE GOODS OR TECHNOLOGY, AND THE LIKE) ARISING OUT OF THIS LICENSE OR THE USE OF OR INABILITY TO USE THE SOFTWARE EVEN IF FILENET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

  5. Permitted Uses

This Software and the Documentation are licensed to you, the End User, and may not be transferred to or used by any third party for any length of time without the written consent of FileNet. You may not modify, adapt, translate, reverse engineer, decompile, disassemble, or create derivative works based on the Software or the written materials. Interface information necessary to achieve interoperability is available from FileNet on written request and payment of FileNet’s then current fee.

  6. Government Restricted Rights

The Software is commercial software and the Software and Documentation are provided with Restricted Rights. Use, duplication or disclosure by the Government is subject to restrictions as set forth in paragraph (c) (1) (ii) of the Rights in Technical Data and Computer Software Clause at DFARS 252.227-7013 or subparagraphs (c) (1) and (2) of the Commercial Computer Software Restricted Rights at 48 CRF 52.007-19, as applicable. Contractor/Manufacturer is FileNET Corporation, 3565 Harbor Blvd., Costa Mesa, California 92626.

  7. Export

Regardless of any disclosure made by the End User or licensee to FileNET of the ultimate destination of the Software, End User shall not export or re-export, whether directly or indirectly, the Software to anyone outside the United States of America without first obtaining an export license from the United States Department of Commerce or any other agency or department of the United States Government as required.

  8. Miscellaneous

This License is governed by the laws of California, without regard to its conflicts of laws, provisions, or the United Nations Convention on the International Sale of Goods and will be deemed a contract under seal. If any provision of this License shall be held by a court of competent jurisdiction to be contrary to law, that provision will be enforced to the maximum extent permissible, and the remaining provisions of this License will remain in full force and effect. This License is not assignable or transferable by End User without prior written consent of FileNET; any attempt to do so shall be void. Any notice, approval or consent required hereunder shall be in writing. The parties agree that a material breach of this License by End User would cause irreparable injury to FileNET for which monetary damages would not be an adequate remedy and that FileNET shall be entitled to equitable relief in addition to any other remedies it may have hereunder or at law, Section 4 shall survive any termination of this License.


Using the FileNet Print Service Control

When you select FileNet Print from the Start Menu, you now select FileNet Print Service Control to start Print. The system displays the FileNet Print Service Control dialog box, and an icon in the Windows System Tray at the lower right corner of your screen.

Use the Print Service Control dialog box to start and stop the Print Service, to display and hide Print Administrator, and to access Print Configuration.

To Start the Print Service

Click the Start button. The system displays the message that the Print Service is running, and the System Tray displays the Print Service Started icon:

While the Print Service is running, you can click the Show/Hide Print Administrator button to display or hide the Print Administrator interface.

To Stop the Print Service

Click the Stop button. The system displays the message that the Print Service is not running, and the System Tray displays the Print Service Stopped icon:

To Hide the Print Service Control Dialog Box

Click the Hide button to hide the Print Service Control dialog box. When the dialog box is hidden, right click on the System Tray icon to display a Print Service Control menu.

To Start Print Configuration

If necessary, click the Stop button to stop the Print Service. The Print Service must be stopped before you can start Print Configuration. Click the Configure button to open Print Configuration.


Print FileNet Documents

You can print the following FileNet document types to any of the supported printers (except where noted) from IDM Desktop:

  • FileNet objects, such as COLD documents without templates (including COLD II compressed pages) and forms created by AutoForm

  • FileNet objects with Embedded FileNet banded or tiled images, such as COLD documents with templates

  • FileNet banded CCITT Group 3 and 4 images

  • FileNet tiled CCITT Group 3 and 4 images

  • PC forms generated by the AutoForm application

  • TIFF tiled images (CCITT Group 3 and 4)

  • TIFF images (CCITT Groups 3 and 4)

  • COLD documents with TIFF Type 3 and 4 background templates

  • COLD documents in Landscape orientation

  • JPEG files supported by FileNet applications

Note

Currently, FileNet Print supports COLD II background templates at either 200 or 400 dpi. 100 and 300 dpi background templates are not supported.


Queue Window

When you display Print Administrator, a Queue window opens for each print queue on the print server. A Queue window contains status information about the printer and about print requests submitted to the printer, including a unique request ID number for each print request.

The name of a Queue window is Queue <Printer Name> where Printer Name is the name assigned to the printer during IS configuration.

Before you can submit jobs to a printer, the associated print queue must be fully initialized. The Queue windows display messages during initialization. The message This queue is ready to go indicates that the queue is ready to accept print requests.

You cannot close Queue windows, however you can minimize them.

A more-detailed version of the information in a Queue window displays if you enable Verbose Mode for the window. Generally, displaying information in Verbose Mode is useful for troubleshooting only; the standard (non-verbose) display is sufficient for normal operations.


PSM Listener Window

The PSM Listener displays status and informational messages about FileNet print requests from the Image Services server to FileNet Print queues.

The PSM Listener window opens automatically when you display Print Administrator. You can close the PSM Listener window; it reopens automatically, however, when it receives data from the IS server.

In addition to print request status and informational messages, the PSM Listener window displays Remote Procedure Calls (RPCs) if Verbose Mode is on. Each print request generates RPCs between Print and the IS server. Some RPCs control various aspects of the print request, such as when to start and stop the job. Other RPCs provide the IS software with information about printer characteristics, such as available paper sizes and number of trays. Generally, displaying information in Verbose Mode is useful for troubleshooting only; the standard (non-verbose) display is sufficient for normal operations.


Print Test Pages

Use this procedure to print various types of documents and test images to verify your hardware and software configuration.

  • For all printers, print the FileNet test PostScript file.

  • For all printers, print a test image and submit a print request from the IDM Desktop Print application.

  • For each printer on a print server with Kanji fonts installed, print a Kanji demo file.

If you are unable to print the test pages correctly, see Common Printing Problems and Solutions in the Troubleshooting book in the Table of Contents.

Test Page Location

The FileNet Print test page is located in the following folder:

c:\FNSW_LOC\sd

Print the FileNet Test PostScript File

  1. Make the Queue window of the desired printer active.

  2. From the Tools menu, select Download Postscript. The system displays the Open dialog box.

  3. Navigate to the data files directory (c:\FNSW_LOC\sd) and select the file test.ps. Click OK.

  4. Verify that the test file prints correctly.


Menus

Print Administrator includes the following menus:

File

  • Select Save As to save the contents of the currently-active PSM Listener or Queue window to a file you specify. This file will be associated with the selected window until you specify a different file for the window.

  • Select Clear to clear the messages in the active window. Use this function when you want to turn on Logging and do not want to include the currently-displayed messages.

Options

  • Check Verbose Mode to display more detailed messages in the PSM Listener and Queue windows. This setting applies only to the active window. See Verbose Mode for more information.

  • Check Logging to save all messages that display in the PSM Listener or a Queue window to a file. This setting applies only to the active window. See Logging for more information.

  • Check Retain Files to save the printer-ready file for each print request to the Temporary Files directory. This option is available for Queue windows only, and applies only to the active window. See Retain Files for more information.

  • Check Display On to update all windows as new messages are generated. This option defaults to on; use it to disable updating when necessary to save memory.

View

  • Select Toolbar to display buttons for the most common Print Administrator commands. See Toolbar for more information.

  • Select Status Bar to display a one-line line message area at the bottom of the Print Administrator window. The status bar displays the IS server onto which Print is logged, and a brief description of the currently-selected menu item or command.

  • Select Error Log to display the current error log in a scrollable, read-only browse window. The log contains errors generated by Print and other software the print server uses. Each entry contains the date and time of the error, a code number (error tuple) and a brief description. The most recent entries appear at the bottom of the log.

  • Select Statistics to collect and display statistical and performance data regarding the print server. See Statistics for more information.

Tools

  • Select Configuration to open Print Configuration.

Note

Print Configuration opens from Print Administrator in read-only mode. To make configuration changes, you must stop the Print Service.

  • For Queue windows only, select Download Fonts to manually download fonts to the printer. See Download Fonts for more information. This command applies to the active window only.

  • For Queue windows only, select Download PostScript to send a PostScript file to the active queue. The system displays the Open dialog box. Navigate to the PostScript (.ps) file you want to print, and select it. This command applies to the active window only.


Verbose Mode

To enable Verbose Mode, select Verbose Mode from the Options menu so that a check mark appears. To disable Verbose Mode, select it again so the check mark is cleared.

Enable Verbose Mode to display more detailed messages in both the PSM Listener and Queue windows. The detailed information available in verbose mode can help FileNet Customer Service & Support resolve problems.

The Verbose Mode setting applies to only the active window, and only to messages that display after you make the change. For example, if you enable Verbose Mode, all messages that subsequently display will be verbose; however, the standard messages that were displayed before you enabled Verbose Mode remain standard.

NOTE

Verbose Mode increases I/O activity on the print server and impacts system performance. Enable Verbose Mode only when you are troubleshooting a problem.

Verbose Mode on Startup

You can also configure Verbose Mode on Startup through Print Configuration's General Options dialog box. The primary differences between Verbose Mode and Verbose Mode on Startup are:

  • Verbose Mode on Startup affects the PSM Listener window and all Queue windows. Selecting Verbose Mode from the Options menu, however, affects only the active window.

  • To change the Verbose Mode on Startup setting, you must stop the Print Service, start Print Configuration, then exit Print Configuration and restart the Print Service. You can change the Verbose Mode setting in Print Administrator; no restart is required.

If Verbose Mode on Startup is enabled, Print Administrator starts with all windows in Verbose Mode. Once the program is running, however, you can disable Verbose Mode in individual windows through the Options menu.

Disabling Verbose Mode in Print Administrator has no effect on the Verbose Mode on Startup setting. Print Administrator will continue to start up in Verbose Mode until you change the Verbose Mode on Startup setting in Print Configuration.


Logging

To enable Logging, select Logging from the Options menu so that a check mark appears. To disable Logging, select it again so the check mark is cleared.

Enable Logging to save all messages that display in the PSM Listener or a Queue window to a file. Once you've enabled Logging, messages are saved to the file until you disable Logging. This setting applies to the active window only.

NOTE

Messages currently displayed in the window (before you enabled Logging) will not be saved. To save currently displayed messages, use File/Save or Save As.

Logging can provide FileNet Customer Service & Support with valuable troubleshooting information. For example, enable Logging just before recreating an error condition to record the messages associated with the error.

Logging is disabled by default. When you enable Logging, the Save As dialog box displays. Specify the name, location, and format of the file to which you want to save messages. Designate separate log files for the PSM Listener window and for each Queue window.

CAUTION

If you specify an existing file as the log file, all information currently in that file will be overwritten when Logging begins.


Retain Files

To enable Retain Files, select Retain Files from the Options menu so that a check mark appears. To disable Retain Files, select it again so the check mark is cleared.

Every print request generates a printer-ready file that contains not only the data to be printed, but also formatting information for the printer. The content and format of printer-ready files varies depending on the type of printer to which the job is sent.

Normally, the system deletes the printer-ready file after the job is printed. However, if the printer is unable to complete a print job, the printer-ready file for that job can help FileNet Customer Service & Support identify the problem.

Enable the Retain Files option to save the printer-ready files to the Temporary Files directory. As these files fill hard disk space, enable Retain Files only during troubleshooting. This option is available for Queue windows only, and applies only to the active window.


Toolbar

To display the toolbar, select Toolbar from the View menu so that a check mark appears. To hide the toolbar, select it again so the check mark is cleared.

The toolbar appears directly below the menu bar and contains the following buttons:

Displays the Open dialog box, to select an existing file to display in a browse window.

Saves the contents of the PSM Listener window to an existing file. Available for the PSM Listener window only.

Displays the About WINADMIN message box, which describes the version of FileNet Print installed on your print server.

Starts Print Configuration.

Note

Print Configuration opens from Print Administrator in read-only mode. To make configuration changes, you must close Print Administrator.


Statistics

To collect statistical and performance data regarding the print server, select Statistics from the View menu so that a check mark appears. While the Statistics function is enabled, the system collects data.

To display the collected data, select Statistics again so the check mark is cleared. The system displays a browse window containing the collected data, including average number of pages per minute, total time used to process all requests, total number of pages printed, and average document size for each queue configured on the print server.


Download Fonts

Select Download Fonts from the Tools menu to manually download fonts to a printer's memory.

Some printers use fonts that FileNet Print normally downloads when the Print Service starts. The Queue window for such a printer should include the Font download complete message at the end of Print Service initialization.

If the fonts are not resident in printer memory, errors will occur at print time. The fonts can be missing from printer memory if:

  • Print failed to download the fonts during Print Service initialization.

  • You restarted the printer without restarting the Print Service. Fonts are flushed from printer memory when you turn off the printer.

During download, a message box displays informational messages about the font files being downloaded. At the end of the download, the Font download complete message displays in the Queue window.

NOTE

During manual font download, fonts are downloaded only to the printer associated with the active Queue window. You must manually download fonts individually to each printer that does not have fonts in memory.


Downloading Fonts

Fonts are cleared from the printer memory when you turn off the printer, and must be downloaded again each time the printer is restarted. Fonts can be downloaded automatically or manually.

Automatically Downloading Fonts

You can enable or disable the automatic font download feature in Print Configuration. There are three options:

  • Never: fonts are never automatically loaded. You must manually download fonts if necessary.

  • Initialization Only: fonts in the Fonts to Download list box are downloaded when the Print Service starts and initializes each queue configured on the print server.

  • Beginning of Each Job: fonts are automatically loaded at the beginning of each job if necessary. This option is useful if the printer is occasionally turned off for maintenance and thereby loses the fonts stored in printer memory. Note that while the fonts are being downloaded to an HP LaserJet printer, SNMP messages for the printer are not forwarded but message forwarding resumes after the downloading is complete.

You can also add or remove fonts from the list of fonts to be automatically downloaded. See the Print Configuration Online Help for more information.

Manually Downloading Fonts

If you select Never in as the automatic download option, or if the software fails to download fonts for some other reason, documents may print with an incorrect font, or an error page may print. You must then download fonts manually.

To download fonts manually, select the appropriate Queue window, then select Download Fonts from the Tools menu. The system displays a dialog box with the message:

Now downloading the font file <font file name>

At the end of the download, the Font download complete message displays in the Queue window.

To cancel the download in progress, click the Cancel button. The system finishing downloading the font in progress and closes the dialog box.


Printer Wizard

The Printer Wizard is a FileNet Print utility provided to simplify installation of a PPD file.

Your printer may come with a PPD file that is specific to your printer model. The information in the PPD file is used by other software to determine what features and options are available for your printer. For example, if your printer supports three paper sources, the PPD file provides this information to programs such as FileNet Print, so that Print can allow configuration of the three sources.

To install a PPD file with the Printer Wizard:

  1. Insert the CD or disk that contains the PPD file. Usually, this is the media provided with your printer by the printer manufacturer. Select the appropriate drive from the list box in the lower left-hand section of the Printer Wizard dialog box.

  2. In the same list box, navigate to the folder on the disk or CD where the PPD file is located. Often this file will be in a drivers folder, but it may appear elsewhere. You will not see the name of the file itself, but the name of the printer (or a list of printers) will appear in the Available Printers list box.

  3. Select your printer model from the Available Printers list, then click the Add button. The system displays a confirmation message.

  4. Click OK to clear the message.

  5. Repeat this process if you have additional printers to configure. Click Done when you are finished.

To remove a PPD file you have added with the Printer Wizard:

  1. Select the printer model you want to remove from the Installed Printers list box.

Note

You can only remove PPD files that you have installed with the Printer Wizard.

  2. Click Remove.

  3. Repeat this process if you have additional PPD files to remove. Click Done when you are finished.


Shutting Down or Rebooting the Print Server

To perform some maintenance or troubleshooting procedures, you may need to reboot or shut down the print server. For example, you must reboot the server when installing a print server software upgrade.

  1. Stop the Print Service.

  2. Select Shut Down from the Program Manager's Start menu. The system displays the Shut Down Windows dialog box.

  3. Select Shut down to shut the print server down, or Restart to reboot. Click OK.

  4. The programs running at the time of shutdown might display shutdown verification dialog boxes. Click Yes in each box to continue to shut down the server.

If any errors occur as the print server reboots, the screen stops scrolling to display an error message. Report any error messages to FileNet Customer Service & Support.


Overview of Troubleshooting

This section provides information to help you identify and resolve various printing problems related primarily to software. Also included are instructions for collecting printer activity information that FileNet Customer Service & Support can use for troubleshooting purposes.

In addition to the procedures described in this chapter, you can also find useful troubleshooting information in the documentation that came with your printer, your Microsoft Windows documentation, and in the FileNet Print Installation Guide. Refer to your printer documentation when troubleshooting hardware-specific problems, and the installation guide for configuration-related problems.

For further assistance with problems specific to hardware or software purchased from FileNet, please contact FileNet Customer Service & Support.

Some of the recommended solutions require rebooting the server. See Shutting Down or Rebooting the Print Server to correctly prepare for a server reboot or shutdown.


Identifying Problems

The print server software provides several tools you can use to reveal the source of a problem. These tools include standard information sources, print tests, and error logs.

Checking Standard Information Sources

Running Print Tests

Using the Error Log

Identifying and Correcting a Communication Problem


Checking Standard Information Sources

When you experience printing difficulties, first check the following sources of information to identify and resolve error conditions:

  • The printer’s indicator lights and control panel messages identify many hardware problems. Refer to the printer’s documentation for further information.

  • The messages in the PSM Listener and Queue windows can also be useful in solving problems. If numerous errors occur, you can save the messages in these windows to a file for later investigation. See Gathering Troubleshooting Information.

  • If you are using Windows Printers connectivity for HP or generic PostScript printers, printer error messages do not appear in the Administrator window. You can get printer error message information from the Windows Printers control.

  • The error log file provides a historical record of errors that occur. See Using the Error Log.

  • The software generates an error page if it can’t print an image because of a retrieval problem. For example, if you try to print an image from an optical disk that isn’t currently loaded, you receive an error page indicating the problem. The error page describes the error and lists the corresponding error tuple.

  • The Printer Timeout setting in the Print Configuration Queue Options dialog box determines how long the print server waits to abort a print job when the printer encounters a problem. If the value is zero (the default) the printer waits indefinitely. A nonzero value indicates the time (in minutes) the print server will wait. See the Print Configuration Online Help for further information about setting this parameter.


Running Print Tests

There are various print tests you can use to test the performance of the print server software and any of the supported printers.

For example, you can check for hardware problems by running a printer self-test. The procedure for running a self-test varies among the printers; refer to the documentation that came with your printer for instructions.

Other print tests verify that the print server software can print a Kanji demo file (if applicable). The inability to print this test document could indicate a networking or configuration problem. The instructions for running these tests apply to all supported printers.

Performing a Printer Self-Test

The printer self-test generates the printer’s own test document. If the self-test procedure doesn’t print the test document or prints it incorrectly, the printer isn’t functioning properly.

Refer to the documentation that came with your printer for information about running a self-test on your printer.

Printing a Kanji Demo File (if the Kanji font CD is installed)

Kanji demo files are PostScript files located in the following directory.

\<data files root directory>\sd

Also within \<data files root directory>\sd is an ASCII text file called demo.doc. The demo.doc file provides information about the Kanji fonts installed on your print server. In addition, demo.doc includes the names and descriptions of all the Kanji demo files. You can use the Windows Notepad application to view demo.doc.

There are several Kanji demo files for each FileNet Print -supported Kanji font, including a dump file (such as HMFDUMP.PS). Printing a dump file prints the entire set of Kanji characters in the specified font. Note the names of the demo files you want to print before closing the demo.doc file.

After viewing demo.doc, take the following steps to print a Kanji demo file.

  1. In the Print Administrator program, make the Queue window of the desired printer active.

  2. From the Queue window’s Tools menu, select the Download PostScript option to display the Windows Open dialog box.

  3. Within the Open dialog box, select the appropriate drive and the directory:

\<data filesrootdirectory>\sd

  4. Select one of the Kanji demo files.

  5. Click the OK button and the file you selected prints.

If the demo files don’t print correctly, see Document Prints with Incorrect Font.


Identifying and Correcting a Communication Problem

You can often determine the existence of a communication problem between the print server and the printer or the print server and the IS by performing one or more of the following checks:

  • A common indication of a communication problem between the print server and the IS is a failed logon attempt. Check the PSM Listener window for an error message indicating that logon request failed.

  • A communication problem might exist if there are no FileNet jobs listed in the PSM Listener window.

  • A communication problem might exist if the Printer Status window in IDM Desktop or the IS Print/Fax Monitor application lists the printer’s status as Unknown.

  • Use ping to verify that the physical connection between the IS and the print server is intact and that TCP/IP is running.

To use ping, type the following at the command line on the print server:

ping <ipaddressofIS>

If the physical connection between the IS and the print server is working correctly and TCP/IP is running, you’ll see a message on the print server monitor similar to this one.

Reply from 135.0.2.10: bytes=32 time=10MS TTL=225
Reply from 135.0.2.10: bytes=32 time<10MS TTL=225
Reply from 135.0.2.10: bytes=32 time<10MS TTL=225
Reply from 135.0.2.10: bytes=32 time<10MS TTL=225

If there is a problem with the physical connection between the IS and the print server, you’ll see a message on the print server monitor indicating that the IS is not responding.

  • Check the error log file for information about process failures or other errors. Consult the FileNet Response Center for the meaning of specific errors.

  • Check the status of the print server at the IS. If the IS reports that the print server is down, a communication problem between the IS and the print server exists. See the System Administrator’s Handbook for information about checking the print server’s status at the IS.

  • Verify that jobs are queuing to the printer by viewing the Windows Printers control window if your printers are set up to use Windows Printers control. Refer to your Windows documentation for more information about the Printers control window. If jobs aren’t queuing, a communication problem may exist between the IS and the print server, or between the print server and the Printers control program.

If jobs appear in the queue, but aren’t moving through the queue, see Job Logged in the PSM Listener Window Does Not Print for further information.

  • Verify the IP address of the print server configured via fn_edit on the IS.

  • Display the Print PSM Listener window and look for RPCs. Since the print server receives RPCs from the IS, the absence of RPCs in the PSM Listener window may indicate a communication problem. See PSM Listener Window for more information about RPCs.

  • Display the Printer Status window in your FileNet application. If the status of the printer is Unknown, a communication problem might exist.

The following actions can correct certain common communication problems. Contact FileNet Customer Service & Support if you require further assistance.

  • Confirm that the Administrator is running. If it is not running, restart it. Also, check the Windows Printers control if you are using a printer set up for Printers control connectivity.

  • Check the network cables for correct and tight connections.

  • Ask your customer support representative at the FileNet Customer Service & Support to check that the print server’s address is correct in the NCH database on the FileNet system.

  • Check the Default IS field in the Queue window. Verify that the domain shown is that of the server. Remember that the domain is case sensitive. See the FileNet Print Configuration Online Help for more information.

  • Check the FileNet Print error log file for relevant messages and suggested corrections.

  • Check the printer for errors such as a paper jam, paper out, toner low, or other conditions that can cause the printer to stop printing. See your printer documentation for instructions.


Print Orientation

Use the following tables to determine how text will orient on the printed page.


Viewing the Error Log

You can view the error log by selecting the Error Log option from the View menu. To view the most recent errors, use the scroll bar to move to the end of the log.

If the date or time of the most current message is suspect, double-click on the Date & Time icon in the Control Panel of Windows 2000 to verify that the server has the date and time set correctly.

Tip

To view the text associated with any error tuple without displaying the error log, use the msg command. For example, you can view the text associated with error message <15,0,10> by typing the following at the command line:

msg 15,0,10


Using the Error Log

The messages in the error log provide information about software error conditions. The error log records errors generated by the print server software or other software that the server uses.

The error log files are named using the following convention:

elYYYYMMDD

The characters that make up the name of the error log file represent: e (error), l (log), YYYY (year), MM (month), DD (day).

A new error log is created the first time an error occurs on a given day. If no errors occur on a given day, no error log is created for that day. If you delete the current day’s error log, the server will create a new one the next time an error message is generated.

Each entry in an error log includes the date and time the error occurred, a code number (known as an error tuple) that identifies the error, and text that describes the nature of the error. Errors are logged in order of occurrence; the most recent error information appears at the bottom of the log.

Depending on the nature of the problem, you may be able to clear some error conditions by taking the action suggested (if any) in the text of the error message. If an error that you cannot resolve occurs, your support representative might request a copy of the error log file.

Locating the Error Log

Viewing the Error Log

Printing the Error Log

Deleting the Error Log


Locating the Error Log

All the error logs are located in the following directory:

fnsw_loc\logs\elogs

Note

You assign the print server’s station number during IS configuration. See the FileNet Print Installation Guide for further information.

The data file and executable file root directories display in the Print Configuration program’s General Options dialog box.

To access the General Options dialog box:

  1. Close Print Administrator.

  2. Start the Print Configuration program.

  3. In the Print Configuration window, click the Options button. The General Options dialog box displays.

  4. The Data Files Root Directory field lists the path you indicated during Print setup. You cannot change the entry in this field; it displays for informational purposes only.


Printing the Error Log

To print a copy of the error log, open Notepad in the Accessories program group and select the appropriate error log path and file name. The error log path and file name use the following convention:

<data filesrootdirectory>\fnsw_loc\logs\1\elYYYYMMDD


Deleting the Error Log

Error logs remain on the hard disk until you delete them. You can delete all error logs or delete only specific error logs. Reasons to delete one or more error logs include:

  • freeing up disk space, when necessary

  • troubleshooting

Some troubleshooting procedures in this chapter direct you to delete the current error log. After you delete this error log, Print creates a new log the next time an error message is generated. If you delete the current error log, perform a procedure, then view the new error log, you’ll know that all the errors in the new log are associated with that procedure.

Tip

Before deleting error logs, you might want to print them for reference purposes. Use the Windows Notepad application to print the error logs. See Printing the Error Log for information about the location and file names of the error logs.

Deleting All Error Logs

Use the following procedure to delete all the error logs.

  1. Open a DOS window.

  2. At the command prompt, enter:

cd <datafilesrootdirectory>\tmp\logs\ or <datafilesrootdirectory>\logs\elogs

See Locating the Error Log for information about the data files root directory and the station number.

  3. Enter:

del *.*

Deleting a Specific Error Log

Use the following procedure to delete the error log.

  1. Open a DOS window.

  2. At the command prompt, enter:

cd <datafilesrootdirectory>\fnsw_loc\logs\elogs

See Locating the Error Log for information about the data files root directory.

  3. Enter:

del <filename>


Displaying Detailed Messages (Verbose Mode)

Turn on Verbose Mode to display a more detailed version of the messages that appear in both the PSM Listener and the Queue windows. Verbose Mode opens a PSM Listener window for each queue. The detailed information available in Verbose Mode can help the support representative to resolve problems.

Note

You can start the PSM Listener and Queue windows in this mode by using the Verbose Mode on Startup option in Print Configuration. See the FileNet Print Configuration Online Help for more information.

To turn on Verbose Mode, select Verbose Mode from the Options menu. A check appears next to the menu item when it is on.

Keep Verbose Mode turned off unless you are troubleshooting a problem. When Verbose Mode is on, the significant number of messages that display will impact the print server’s printing performance.

To return to the standard message display, select Verbose Mode from the Options menu, removing the check that appears next to it.


Retaining Temporary Files

The print server software generates temporary printer-ready files while processing a print request. The content and format of these files varies depending on the type of printer you have. Temporary files generated by HP LaserJet and generic PostScript Level 2 printers use the naming convention: <job id>.2ps.

Normally, the temporary printer-ready files are sent to the printer and the system deletes these files after the job completes. However, if the printer is unable to complete a print request, looking at the temporary printer-ready files can help the support staff to identify the problem.

To save temporary printer-ready files, select Retain Files from the Options menu in the Queue window. A check appears next to the option when it is on.

Because saving temporary files fills disk space, leave Retain Files off during normal operation.

You can reclaim disk space by removing unwanted temporary files from the directory:

\<datafilesrootdirectory>\local\tmp

Delete the files with suffixes of .2ps.


Gathering Troubleshooting Information

You can simplify problem analysis if your provide FileNet Customer Service & Support with certain printer activity information. The print server software provides several tools you can use to easily gather the necessary information.

Using these tools, you can:

Display detailed messages

Save the messages in the PSM Listener or Queue windows

Retain normally-discarded files that are useful for troubleshooting

You can access these options from the Options menu. When you turn on any of the options, a check appears to the left of the option name; when you turn off an option, the check disappears. Turning any of these options on or off takes effect immediately; you need not restart any software.


Dr. Watson Windows

If a Dr. Watson window displays, read the contents of the window, then close the window with the OK button when the button is enabled. A file called drwtsn32.log is written to your WINNT directory. Give this file to your customer support representative at FileNet Customer Service & Support.


Providing Troubleshooting Information to the Support Staff

When you contact the support staff for assistance, you should have the following information available:

  • Sample files that demonstrate a reproducible case of the problem

  • Verbose Mode log files of the print Queue and PSM Listener windows exhibiting the problem

  • A copy of the error log from the time frame in which the error occurred

  • Printer type and type of connectivity used

  • PC hardware description, including type, amount of memory in stalled, and type of network card

You can get this information by taking the following steps:

  1. Display detailed messages in the Queue and PSM Listener windows by turning on Verbose Mode. Select Verbose Mode from the Options menu. A check appears next to the option name when it is on.

  2. Log the messages from the Queue and PSM Listener windows.

See Logging All Messages to a File for instructions.

Tip

Be sure to note the file names and directory paths for the log files; you will need this information when you copy the log files to a floppy disk.

  3. Select the desired Queue window, then select Retain Files from the Options menu. A check appears next to the option when it is on.

  4. Reproduce the printing problem.

  5. Turn off Queue and PSM Listener logging so that you save only the messages associated with the problem.

To turn off these logging options, select the desired window, then select Logging from the Options menu. Repeat this process for the remaining windows that have Logging on. No check appears next to the option names when they are off.

  6. Copy the Queue and PSM Listener logs to a floppy disk.

The file names and directory paths for the Queue and PSM Listener logs are specified in the Save As dialog box for each logging option.

  7. Copy the daily error log (if it exists) to a floppy disk.

Error logs are dynamically created each day in the <datafilesrootdirectory\fnsw_loc\logs\elogs directory. For more information on error logs, see Using the Error Log.

  8. Copy the temporary printer-ready files associated with the specific job to the floppy disk.

Look at the IDM Desktop IS Print/Fax Monitor window to get the job ID number (in the window’s left-most column). See the IDM Desktop User’s Guide for more information.

The path to temporary printer-ready files is

\FNSW_LOC\tmp

Retrieve all files in the directory containing the job ID and copy the files to the floppy disk by entering:

copy <job_id>.*a:\

  9. Turn off the Retain Files option. Select Retain Files from the Options menu; no check appears next to the option name when it is off.

  10. Shut down both the Windows Printers control and the PSM Listener programs (use the Close option on the Printers control and PSM Listener window Control menus).

Restart Printers control by clicking on the Printers icon in the Main program group. The PSM Listener window will reopen dynamically when the print server receives traffic from the IS.


Print Fails to Log On to the FileNet System

Communication problems between the print server and the FileNet system can cause a logon failure. If the print server fails to log on to the FileNet system, you’ll see a message in the PSM Listener window indicating that the logon request failed.

The error log might contain an error tuple that explains why the logon failed. Check the error log according to the instructions listed in Viewing the Error Log.

See Identifying and Correcting a Communication Problem for suggested actions you can take if a communication problem arises.


Print Cannot Initialize when Queues are Configured on Multiple IS Servers

This problem may be caused by an IS server running with incompatible software. The Print Administrator initializes itself by establishing communications with the default IS first. All IS servers on which queues are configured must be running the same (or later) release of IS software as the default IS.

If this is not the case, you may see the following message in one of the queue windows of the Administrator:

Unable to log onto Print Services

The following error may also appear in the Administrator Error Log:

<92,2,2>PSMI: Error logging onto Print Services 2

Therefore, if your default IS is running 3.2.1 software, the other IS systems must be running 3.2.1 or later. In addition, you must insure that all other IS systems have proper security access to the default IS.


Queue Cannot be Initialized

If at startup the Queue window displays but you get the message Queue cannot be initialized, the queue configuration may have been deleted from the IS. The existence of the Queue window indicates the Print Queue is configured on the print server.

See the FileNet Print Installation Guide for information about configuring the print queue on the IS.


Print Administrator Does Not Display

If the Print Administrator window does not display, select the Allow service to interact with the desktop checkbox in the Print Service Control dialog.

See also Print Service Control.


Printer Times Out When Using TCP Direct Port Connectivity

If the printer times out when using TCP Direct Port connectivity, make sure that the TCP/IP Timeout is set to 90 seconds on the HP LaserJet printer control panel.


Printer Status is Unknown

If the IS doesn’t establish communication with the print server, the Printer Status window (accessible through your system’s FileNet application) lists the printer’s status as Unknown.

When the printer has an Unknown status, don’t use the FileNet PRI_ tool program to change the printer’s status; this will have no effect on printing. See Identifying and Correcting a Communication Problem for suggested actions you can take.


PSM Listener Program Doesn't Respond to a Print Request

The PSM Listener program receives and responds to Print requests. Normally, the PSM Listener window displays information about the various processes the PSM Listener starts while handling a print request. See PSM Listener for more information about what you should see in the PSM Listener window.

If you open the PSM Listener window after submitting a Print request but don’t see any indication that the PSM Listener is processing the request, there could be a communication problem between the print server and the FileNet system.

See Identifying and Correcting a Communication Problem for suggested actions you can take if a communication problem arises.


Job Logged in the PSM Listener Window Does Not Print

If the PSM Listener window indicates that the print server received a print request, but the job does not print:

  1. Ensure that the printer is online.

  2. Check the printer control panel for an error condition and perform one of the following actions.

  • If the printer control panel indicates an error condition, refer to your printer documentation to correct the error.

  • If the printer does not indicate an error condition, continue with the next step.

  3. Check the error log for additional information related to the problem. See Using the Error Log.

  4. If the printer is an HP LaserJet or generic PostScript Level 2 printer configured for Printers control Printer Queue Connectivity, verify that the Windows Printers control program is running.

The Printers control is running if its window or icon (if the window is minimized) displays.

If Printers control is not running, do one of the following:

  • Select the Printers icon from the Windows Main program group.

  • Select the Printers option from the Windows Control Panel.


System Unable to Retrieve Images

If you have problems retrieving images from the IS, the print server may not have enough memory installed. The print server needs sufficient memory for normal operation. Refer the to the Installation Guide for memory requirements. Because memory sometimes becomes defective over time, the print server could run low on memory even if sufficient memory was originally installed.

To check the amount of memory:

  1. Shut down the Print Administrator program.

  2. Select the Shut Down option in the Program Manager Start menu. A dialog box displays.

  3. Select Restart. Click OK.

As the print server performs the restart procedure, the amount of installed memory displays.

If insufficient memory is installed, add more memory to the print server.

If there is no shortage of memory, check the following for possible causes of the image retrieval problem:

  • A communication problem between the print server and the IS can stop image retrieval. See Identifying and Correcting a Communication Problem

  • The Queue window, PSM Listener window, or error log may contain information about a problem that is interfering with image retrieval.

  • Make sure the Retain Files option in the Queue window is off. If this option is on, the print server software saves unnecessary files that take up disk space. See Retaining Temporary Files for more information.

  • Requested images may be stored on an optical disk that is not in the jukebox. See your IS administrator for assistance.


Documents Do Not Print

The following examples refer to HP LaserJet printers; your printer may vary.

If documents do not print:

  1. Verify that PRT PS ERRS=ON* is listed in the PS Menu of the printer control panel. See "Setting General HP LaserJet Printer Options" in the FileNet Print Installation Guide for information about the printer control panel.

  2. Resend the print job.

  3. If a PostScript error page prints, check the information on the error page for the PostScript errors listed in the table below.

  4. If the job still doesn’t print, turn the printer off, then on again.

  5. See your printer documentation for more troubleshooting information.

    PostScript Error

    Possible Cause

    Possible Solution

    RE2 undefined

    Fonts may have been erased from memory as a result of powering off the printer or auto-switching.

    Fonts must be downloaded. From the Administrator window, select the Queue window. From the Tools menu, select Download Fonts.

    Limit check offending command: set page device stack.

    Not enough memory to print on legal size paper at 600 dpi.

    Change printer resolution to 300 dpi.

    BP undefined, EP undefined, etc.

    The JOBINIT.PS file was not downloaded; printer memory was erased as a result of powering off the printer or auto-switching.

    In the JOB Menu of the printer control panel:

    1. Check the PERSONALITY= setting.

    If PERSONALITY=AUTO, the printer’s auto-switching (between PCL and PostScript) is enabled. Try increasing the amount of PS memory reserved through Resource Saving.

    If PERSONALITY=PS*, try increasing the printer’s memory.

    2. From the Administrator window, select the Queue window. From the Tools menu, select Download Fonts.

    If auto-switching is not required, set PERSONALITY=PS*.

    See "Setting General HP LaserJet Printer options: in the FileNet Print Installation Guide for information about the printer control panel.

    timeout

    The job was submitted with a misplaced or missing ^D end-of-job termination character.

    Correct the file and resubmit the job.

    Ioerror

    The PostScript data stream being sent to the printer was interrupted, possibly due to a network problem.

    From the Administrator window Tools menu, select Configuration to start up the Configuration program.

    1. In the Configuration dialog box, highlight the printer’s queue name in the Current FileNet Queues list box.

    2. Click the Configure button.

    3. In the Printer Configuration dialog box, increase the value of the Wait Timeout parameter. See the Configuration Online Help for further information about Wait Timeout.

    40 ERROR

    A network problem has occurred.

    Resolve the network problem; reset the printer (as directed in the printer documentation).

    Try enabling or increasing IO buffering for the printer. See the printer documentation for more information.


Jobs Submitted from Client PC to Networked Printer Don't Print

Printing stops when an error condition arises, such as if the printer runs out of paper, jams, or is otherwise unable to continue printing.

After you correct the error, the printer attempts to pick up where it left off; however, the error condition has caused an interruption in the PostScript data stream. As a result of this interruption:

  • The page that was in progress when the jam or error occurred might not reprint.

  • One or more pages following the page that was in progress when the jam or error occurred may be blank. This output may also contain overlapped data or a PostScript error message.

Normally, the printer recovers after a few pages. You may have to resubmit some of the pages.

If your HP printer has a JetDirect card installed, see the HP JetDirect network interface configuration documentation for information about printer error recovery.

Note

Make sure SNMP is configured. This utility permits communication from the printer to the Print software.


Print Service is Running but Job Does Not Print

The Print Service is Running but Job Does Not Print

If the Print Service is running correctly but the jobs do not print:

  1. View the last message in the current error log and then delete the error log. See Using the Error Log for information about viewing and deleting the error log.

  2. Stop the Print Service.

  3. Restart the Print Service. Display Print Administrator and note any error messages that display as the program starts.

  4. View the error log. If the Print Service generated errors during startup, messages related to the problem will display in the error log.

  5. Report all error messages to FileNet Customer Services & Support if you need further assistance in resolving the problem.

Checking for a Stalled Print Job

Removing a Stalled Print Job


Printer Status is Suspended, Down or Redirected

There is a limit to the number of queues you can configure on the print server, and printer performance decreases with each additional queue that is active. You will likely not be able to have the maximum number of queues active at the same time.

You may experience interruptions in printing if you are submitting a high volume of jobs simultaneously to multiple printer queues on the same print server. When this occurs, Print Services will likely show some printers as being down or unavailable.

If the Printer Status window in your system’s FileNet application shows as Suspended, Down, or Redirected, you can use the resumeprinter command in PRI_tool. See the System Administrator’s Handbook for details on using PRI_Tool. Alternatively, you can decrease the volume of jobs being submitted simultaneously to the printer queues.


Printer Stops Printing

Printing can stop for a variety of reasons. For example, printing can stop if the printer runs out of paper or toner, if a paper jam occurs, or if the printer is off-line.

Check the following if printing stops:

  • Make sure that the printer isn’t off-line. See the printer’s documentation for information about online and off-line status.

  • If the printer is online, check the control panel on the printer for an error message and take the appropriate action as described in the printer’s documentation.

  • Look at the Queue window for status messages that can help you determine the cause of the problem.

Note

If your HP printer has a JetDirect card installed, see the printer documentation for information about accessing printer status information.

  • Check for a paper jam or other printer problem. See your printer documentation for information about identifying and clearing paper jams and other printer error conditions.

  • Look in the error log for relevant messages and suggested actions.

A Paper Jam or Other Printer Error Stops Printing

See your printer documentation for information about clearing paper jams or other printer errors.

HP LaserJet Printers

When you queue through Windows Printers control connectivity, the print server queues print jobs and sends each job to the printer when the printer is ready. After sending a job to the printer, the print server software removes the job from the print queue.

If a jam or error condition prevents the printer from printing, all jobs remain in the queue until you clear the jam or error.

If your HP LaserJet printer is connected to the print server via the parallel port, see Documents Do Not Print for information about error recovery.

If your HP LaserJet printer has a JetDirect card installed, see the HP JetDirect network interface configuration documentation for information about printer error recovery.


Part or All of a Text File Prints in Landscape Orientation

If the print server software detects a line in the text file to be greater than the width of the portrait page, then the entire page on which that line appears will print in Landscape orientation. All pages that follow will also print in Landscape.

To prevent this problem, make sure that all lines in the file fit the width of the page. The typical width of a Letter page is approximately 80 characters.

Conversely, if you want to have all pages of the text file print in Landscape orientation, make sure that at least one line on the first page is longer than the width of the page.


Duplex Printing of Multiple Documents Do Not Print on Correct Pages

If you specify duplex printing for a print request that has multiple documents in it, each subsequent document may not start on a new (i.e., odd numbered) page.

For example, if the first document doesn’t end on an even numbered page, then the first page of the second document will print on the back of the last page of the document that preceded it.

To correct this problem and ensure that each document starts on a new page, you must enable Document Headers for the print request.


COLD Documents Print Incorrectly When Using Exact Scaling

If the COLD background template is not at the page origin (0,0), then the print server software will always print the document using Original Size scaling. The Exact Fit scaling request will be ignored. This is done for backwards compatibility with FDOS print server software, and it preserves the text alignment on the template.

You can still scale these documents, however, using the COLD Scale Factor on the Advanced Options dialog box in the Print Configuration program. See COLD Documents , and the FileNet Print Configuration Online Help for more information.


Document Prints with Incorrect Font

Documents can print with the incorrect font if either of these situations occurs:

  • The software failed to download fonts at startup, or an error occurred during font download

  • The printer was turned off during operation. When you turn off the printer, the fonts are flushed from the printer memory.

To print documents correctly, download fonts for the printer manually. From the printer Queue window, select Download Fonts from the Tools menu.

Note

If you are downloading Kanji fonts, it will take some time because of the large size of the character set.

A document can also print with an incorrect font if the printer wasn’t configured properly during installation. See the "Preparing the Hardware" appendix in the FileNet Print Installation Guide for further details.


Document Prints Off Center

By default, the printer prints images starting at the upper left corner of the page (Center Image on Print is disabled).

If you want the printer to center each image on the page, enable the Center Image on Print option in the HP LaserJet Printer Configuration window.


"Unable to retrieve annotations" error

If you change the default Image Server without restarting the Print Server Control, you will receive this error message.


Errors Printing Annotated Documents

You cannot print a document to a FileNet printer if any page of the document has more than 78 annotations.


Printing Uncommitted Images Generates Cache Retieval Errors

Printing Uncommitted Images Generates Cache Retrieval Errors

If you receive cache retrieval errors when trying to print uncommitted images, check Maximum Allowed Pages per FileNet Queue in the General Options dialog box of the Configuration program. This parameter determines how many pages the server processes at a time.

Because of the way uncommitted documents are cached on the IS, the queuedepth parameter must be set to 1 to print uncommitted batches correctly. You may experience a slight performance decrease with this setting, as the server processes only one page at a time. Normally, this setting is set to 5 to maximize performance by queuing up to 5 pages at a time.


Print Server is Low on Disk Space

Over time, your print server can run low on disk space as the number and size of certain logs and files increases. If errors occur, a new error log is dynamically created each day. Keeping the Retain Files option on for an extended period of time can also deplete disk space.

Error messages stating that the system is unable to open, write to, or create files indicate that the print server is running low on disk space.

You can free up disk space by deleting the oldest versions of the error log files. You may wish to copy some error logs onto floppy disks before deleting them. Keeping floppy disk copies is useful for historical reference.

You can also delete any files in the \<data files root directory>\tmp and \<data files root directory>\log directories (default: FNSW_LOC).

Finally, ensure that the Retain Temporary Files option is off. See Retaining Temporary Files

CAUTION:

Consult FileNet Customer Service & Support before deleting files or logs you aren’t familiar with.


Timeout Error Occurs

When a timeout error occurs, the system might generate timeout error pages. For HP printers, timeout errors generally occur if there is a relatively long pause between the beginning of a PostScript job and subsequent input. Situations that can cause this problem include:

  • Enabling logging with Verbose Mode on

  • Trying to print a very large or dense image

  • A printer error preventing the print server from communicating with or sending data to the printer

To avoid timeout errors caused by a long pause after the beginning of a PostScript job, increase the amount of time specified in the Wait Timeout field in the HP LaserJet Configuration screen. This parameter specifies the amount of time in seconds the PostScript interpreter waits for input once a job has started.

To eliminate the timeout errors caused by printer error conditions, adjust the error condition timeout period specified for your system. The error condition timeout period is configured through the Printer Timeout field in the Queue Options Configuration screen. The value of this parameter represents the number of minutes the print server waits before aborting a print job when the printer encounters a problem.

Setting the Printer Timeout field to 0 (the default value) means there is no error condition timeout period, so the print serve waits indefinitely for a jam or other error to clear before timing out.


Resetting or Power-Cycling the Printer Generates Postscript Errors

If you reset or power-cycle an HP printer after the print server has initialized, the fonts that were downloaded to the printer memory are erased. Documents cannot print correctly unless the downloaded fonts are present in the printer memory; thus, any print requests in the queue after the reset or power-cycle generate PostScript error pages.

The PostScript error pages you’ll see when this situation arises include text similar to the following:

ERROR: undefined
OFFENDING COMMAND: RE2

STACK:

(various text data)

As soon as you see one of these error pages, perform the following procedure to reload the fonts. By reloading the fonts, you can successfully print any jobs remaining in the queue.

  1. Reset the printer as directed in your HP printer documentation.

  2. Download the fonts by selecting Download Fonts from the Tools menu in the Queue window.

Tip

We recommend that you perform the previous procedure every time you need to reset or power-cycle the printer. By holding the queue before resetting or power-cycling the printer, you can avoid losing queued print jobs.

See Downloading Fonts for further information about the font download process.

Note

Alternatively, you can change the frequency of automatically downloading fonts to Beginning of Each Job. Set the Automatically Download option on the Fonts and Character Sets dialog box in Print Configuration.

If you use TCP Direct connectivity, Print can detect whether or not the fonts are already present in printer memory and won’t download them unless necessary. For other connections, where font detection is not possible, there will be a performance impact because the fonts will always be downloaded at the beginning of each job.

If your printer does not retain fonts, enable resource saving on the printer. See the "Preparing the Hardware" appendix in the FileNet Print Installation Guide.


Recovering From a Protection Violation

The recovery procedure depends on the type of violation (application-level or system-level) that occurred.

  • If the Administrator has a fault, run the KILLFNSW program from the DOS command line or from the Windows RUN utility, and close the Courier window. The path to KILLFNSW.EXE is:

\<executablefilesrootdirectory>\bin\

where <executable files root directory> is the directory you specified during installation for your executable files. The default is FNSW.

  • If an application-level protection violation occurs, you must restart the application that generated the protection violation.

  • If the PSM Listener program faulted, press the Enter/Return key to return to the Administrator window. The PSM Listener window will open automatically when the print server receives traffic from the IS.

  • If the Queue program faulted, the Administrator terminates. Run the KILLFNSW.EXE program to terminate all FileNet Print processes, then restart the Administrator by selecting the Administrator icon from the FileNet Print Server Applications program group.


Improving Performance

There are a number of different factors that can effect printing speed and performance. These include the following:

  • Network environments potentially slow the performance of the printer especially when there is high traffic on the network.

  • Type of IS server being used.

  • The amount of memory installed on the printer. Most printers will require 24MB to 48MB or more depending on printer model, document file size, and print load for best throughput.

  • PC hardware being used.

  • Using the "Pre-Process Image" option will reduce the print performance, especially when the images have to be rotated by the printer.

  • Rotation of the image compared to the orientation in which the image was stored. When rotation at print time is necessary the throughput is reduced.


Printing Performance is Slow

HP LaserJet printers can be configured using several different types of connections. The type of connection used effects printing performance. Optimum choices for various conditions are listed in order of preference:

  • TCP Direct Port connectivity should be used if the print server cannot communicate with the printer without using TCP/IP routing. This connectivity allows true status reporting (low toner, paper jams, etc.) and network user notification.

  • Windows Printers control connectivity (using a networked DLC connection if possible) is recommended because it can check the status of spooled jobs.

  • Other/Parallel Port connectivity should only be used if no other option is available.

The image data encoding used also affects printer performance. They are listed in order of preference:

  • Raw Binary
    This is most efficient data encoding for printers that support TBCP protocol used with this encoding. All FileNet supported HP LaserJet printers support TBCP protocol.

  • ASCII 85
    This is the second most efficient encoding.

  • ASCII Hex
    This is the least efficient.

ASCII 85 and ASCII Hex encoding provides better portability of generated PostScript files, and are easier to edit for debugging. However, because they increase the amount of data sent to the printer, printing is slowed.


Slow Printing with Kanji Fonts

Print performance may be slow if you are printing documents that use Kanji fonts and you have selected the option to Download fonts at the beginning of each job. Try using the Download Fonts at Initialization instead.


Checking for a Stalled Print Job

Perform the following checks to determine if the job is stalled:

  1. If the print job is not printing, check the Print window in your FileNet application.

  • If the job is still listed in the Print window, the stall has occurred between the FileNet application and the IS. Cancel and resubmit the print job from the Print application. See your Print application documentation for information about canceling and submitting a print job.

  • If the job no longer displays in the Print window of your FileNet application, it has been sent successfully to the print server via the IS. See step 2.

  2. Display the Queue window in Verbose Mode. See Displaying Detailed Messages (Verbose Mode) for more information. In the Queue window, look for the PrintQThread:

Print Page Complete

  3. Open the Windows Printers control and check if the job is listed in the Printers window. If it is, the stall has occurred between the print server and the printer. If the status is job held or queue held, see Removing a Stalled Print Job.


Removing a Stalled Print Job

Following these steps to remove a stalled print job. Perform only the steps that pertain to your printer and situation. Contact FileNet Customer Service & Support if you’re unable to clear a stalled print job.

  1. If a paper jam exists, remove it as directed in your printer documentation.

  2. Try to print a test page from the printer control panel. See your printer documentation for instructions. Successfully printing a test page can sometimes clear the stalled job.

  3. If the printer is off-line, bring it online as directed in your printer documentation.

  4. Cancel and resubmit the print job from the Print application. See your Print application documentation for information about canceling and submitting a print job.

  5. Shut down the print server. See Shutting Down or Rebooting the Print Server for instructions.


Print Service Control

Use the Print Service Control dialog box to start and stop the Print Service, to display and hide Print Administrator, and to access Print Configuration.

The Print Service Control dialog box includes the following buttons:

Show/Hide Print Administrator

The Show/Hide Print Administrator button is enabled when the Allow service to interact with the desktop is selected in the Print Service Control dialog; the button is disabled otherwise. Click Show/Hide Print Administrator to toggle the display of the Print Administrator window.

Start

If the Print Service is stopped, this button will be active for the user to start the Print Service.

Stop

If the Print Service is running, this button will be active for the user to stop the Print Service.

Configure

If the Print Service is stopped, this button is active to open Print Configuration and configure the Print Service. The Print Service must be stopped before Print Configuration can be opened.

Hide

Hides the Print Service Control dialog box. When the dialog box is hidden, you can control the Print Service through the Print Service icons on the Windows System Tray in the lower right corner of your computer screen.


Context-sensitive Help

Welcome: Welcome Documentation

Print Administrator includes context-sensitive Help for all dialog boxes in the system.

To display Help for one of the dialog boxes, press the Help button at the lower right corner of the dialog box, or press F1.


Documentation

Select a subject from this list:

What’s new in release 4.4

How to use online Help

About documentation

Context-sensitive Help

Where to find updates to Help

Other sources of information

If you have questions or comments

Notices

FileNet End User Software License Agreement


If you have questions or comments

Welcome: Welcome Documentation

FileNet invites all customers to communicate with the Documentation group on any question or comment related to FileNet manuals and online help. Send email to:

docs@filenet.com

We will make every effort to respond within one week. Your suggestions help us improve the products we deliver.


Notices

Welcome: Welcome Documentation

This document contains information proprietary to FileNet Corporation (FileNet). Due to continuing product development, product specifications and capabilities are subject to change without notice. You may not disclose or use any proprietary information or reproduce or transmit any part of this document in any form or by any means, electronic or mechanical, for any purpose, without written permission from FileNet.

FileNet has made every effort to keep the information in this document current and accurate as of the date of publication or revision. However, FileNet does not guarantee or imply that this document is error free or accurate with regard to any particular specification. In no event will FileNet be liable for direct, indirect, special incidental, or consequential damages resulting from any defect in the documentation, even if advised of the possibility of such damages. No FileNet agent, dealer, or employee is authorized to make any modification, extension, or addition to the above statements.

FileNet may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Furnishing this document does not provide any license to these patents, trademarks, copyrights, or other intellectual property.

Copyright ©1997-2004 FileNet Corporation. All rights reserved.

Portions of this product use fonts licensed from Bitstream Inc.

Portions of this product Copyright Microsoft Corporation, 1997-2002

Captaris and RightFax are trademarks of Captaris, Inc.

Rev: GA 4.4


Other sources of information

Welcome: Welcome Documentation

Help is the primary source of information on Print Administrator. You may find the following sources useful as well:

  • FileNet provides various forms of instruction. Please visit the Global Learning Services in FileNet's Services & Support area at www.filenet.com

  • If you have technical questions, direct them to your local system consultant or technical consultant.

  • If you have a system integrity problem, report it to FileNet Customer Service and Support as specified in your maintenance contract.

  • You are invited to join UserNet, FileNet's global user group. FileNet hosts an annual UserNet conference where you can meet with other users and FileNet management. For UserNet members, FileNet provides both a dedicated FileNet Web site and a quarterly newsletter.

  • For integration, programming development, project management, or other technical challenges, contact FileNet Professional Services.


Logging All Messages to a File

The Logging option saves the information that appears in the PSM Listener or Queue window to a file from the point you turn it on until you turn it off. Logging messages can provide FileNet Customer Service & Support with valuable troubleshooting information.

Tip

Turn on Logging for the PSM Listener or a printer queue before recreating an error condition to record the information associated with the error.

If you’ve enabled logging with Verbose Mode on, the system might generate timeout error pages. See Timeout Error Occurs for more information.

To log messages

  1. Select the desired window, then select Logging from the Options menu. This displays the Save As dialog box. The Files list displays the file names for the directory shown in the Current Directory field. To display files in another directory, double-click on a directory name in the Directories list.

  2. In the File field, enter the name of the file where you want to log messages. You can specify the name in these ways:

  • Type the name in the File field.

  • Click on a file name in the Files list.

  • Click on a directory in the Directories list. This places the directory name in the File field for editing.

  • You can use the last-designated file name that appears in the File field without making any changes. This option only applies if you’ve previously entered a file name in the File field. Use different file names for the PSM Listener and Queue snapshots.

  3. After you specify a file name, click on the Save button to close the dialog box.

If you use the last-designated file name (by clicking Save without making changes to the File field), a message box appears, asking if you want to overwrite the existing file. Click OK in the message box to overwrite the file; click Cancel to return to the Save As dialog box and designate a new file name.

To stop logging messages

Select the desired window, then select Logging from the Options menu, removing the check that appears next to it.

To log messages to a different file

  1. Select the desired window.

  2. Turn Logging off, then on again. Make the desired changes to the File field in the Save As dialog box.


Saving Current Messages to a File

Save the current PSM Listener or Queue window information when an error condition occurs and you want to capture the error information in the window. This process produces a snapshot of the messages in the file at the moment you save it. Once you save the information, it will be available for later analysis.

You can save information in a PSM Listener or Queue window only if the window contains information that has not been saved previously. For example, once you save the data in a Queue window, you will not be able to save Queue window data again until new information has been written to the window.

The PSM Listener and Queue windows retain only a certain amount of information at one time. You can use the scroll bars to view all of the messages in the window.

If the window receives exceed the information limit, the message at the top of the window is removed and a new message appears at the bottom of the window.

To save the contents of the window

  1. Select the desired window: PSM Listener, or Queue.

  2. Select the Save option from the File menu. The Save As dialog box displays.

The Files list shows the file names for the directory in the Current Directory field. To display files in another directory, double-click on a directory name in the Directories list.

  1. In the File field, enter the name of the file where you want to save messages.

You can specify the name in these ways:

  • Type the name in the File field.

  • Click on a file name in the Files list.

  • Click on a directory in the Directories list. This places the directory name in the File field for editing.

  • You can use the last-designated file name that appears in the File field without making any changes. This option only applies if you’ve previously entered a file name in the File field. Use different file names for the PSM Listener and Queue snapshots.

  2. After you specify a file name, click on the Save button to close the dialog box.

If you use the last-designated file name (by clicking Save without making changes to the File field), a message box appears, asking if you want to overwrite the existing file. Click OK in the message box to overwrite the file; click Cancel to return to the Save As dialog box and designate a new file name.


Saving Messages in a File

You can save the information displayed in the PSM Listener or Queue window in two ways:

Save only information that displays in the current window to a file (maximum 500 lines)

Log all messages that display in the window to a file